<div class="std-settings-each-section" data-tab="extra" style="display:none;">
    <div class="std-field-wrap">
        <label><?php esc_html_e('Disable Fontawesome CSS', 'subscribe-to-download'); ?></label>
        <div class="std-field">
            <input type="checkbox" name="std_settings[extra][disable_fontawesome]" value="1" <?php echo (!empty($std_settings['extra']['disable_fontawesome'])) ? 'checked="checked"' : ''; ?> />
        </div>
    </div>
    <div class="std-field-wrap">
        <label><?php esc_html_e('Disable Jquery UI CSS', 'subscribe-to-download'); ?></label>
        <div class="std-field">
            <input type="checkbox" name="std_settings[extra][disable_jquery_ui]" value="1" <?php echo (!empty($std_settings['extra']['disable_jquery_ui'])) ? 'checked="checked"' : ''; ?> />
        </div>
    </div>
    <div class="std-field-wrap">
        <label><?php esc_html_e('Unsubscribe Message', 'subscribe-to-unlock'); ?></label>
        <div class="std-field">
            <textarea name="std_settings[extra][unsubscribe_message]"><?php echo (!empty($std_settings['extra']['unsubscribe_message'])) ? $this->output_converting_br($std_settings['extra']['unsubscribe_message']) : $this->default_unsubscribe_message(); ?></textarea>
            <p class="description"><?php esc_html_e('This message is displayed when user clicks the unsubscribe link and you can generate the unsubscribe link for individual subscriber in the subscribers list section of our plugin.', 'subscribe-to-unlock'); ?></p>
        </div>
    </div>
    <div class="std-field-wrap">
        <label><?php esc_html_e('Enable Popup Form for Index Page', 'subscribe-to-download'); ?></label>
        <div class="std-field">
            <input type="checkbox" name="std_settings[extra][enable_popup_index_page]" <?php echo (!empty($std_settings['extra']['enable_popup_index_page'])) ? 'checked="checked"' : ''; ?> value="1" class="std-checkbox-toggle-trigger" data-toggle-class="std-index-popup" />
            <p class="description"><?php esc_html_e('Please check if you want to enable the popup form for index page. Please note, this will only work if you have your home page displays as "Your Latest Post".', 'subscribe-to-download'); ?></p>
        </div>
    </div>
    <div class="std-index-popup" <?php echo (empty($std_settings['extra']['enable_popup_index_page'])) ? 'style="display:none;"' : '' ?>>
        <div class="std-field-wrap">
            <label><?php esc_html_e('Delay', 'subscribe-to-download'); ?></label>
            <div class="std-field">
                <input type="number" name="std_settings[extra][delay]" min="0" value="<?php echo (!empty($std_settings['extra']['delay'])) ? intval($std_settings['extra']['delay']) : ''; ?>" />
                <p class="description"><?php esc_html_e('Please enter the delay time for popup display in seconds. Please leave empty or enter 0 to display with the page load.', 'subscribe-to-download'); ?></p>
            </div>
        </div>
        <div class="std-field-wrap">
            <label><?php esc_html_e('Subscription Form', 'subscribe-to-download') ?></label>
            <div class="std-field">
                <select name="std_settings[extra][form_alias]">
                    <option value=""><?php esc_html_e("Choose Form", 'subscribe-to-download'); ?></option>
                    <?php
                    $selected_form_alias = (!empty($std_settings['extra']['form_alias'])) ? $std_settings['extra']['form_alias'] : '';
                    global $wpdb;
                    $form_table = STD_FORM_TABLE;
                    $forms = $wpdb->get_results("select * from $form_table order by form_title asc");
                    if (!empty($forms)) {
                        foreach ($forms as $form) {
                    ?>
                            <option value="<?php echo esc_attr($form->form_alias); ?>" <?php selected($selected_form_alias, $form->form_alias); ?>><?php echo esc_attr($form->form_title); ?></option>
                    <?php
                        }
                    }
                    ?>
                </select>
            </div>
        </div>
    </div>
</div>