<?php
defined('ABSPATH') or die('No script kiddies please!!');
?>
<div class="std-settings-each-section" data-tab="mailerlite" style="display:none;">
    <div class="std-field-wrap">
        <label><?php esc_html_e('Enable Mailerlite', 'subscribe-to-download'); ?></label>
        <div class="std-field">
            <input type="checkbox" name="std_settings[mailerlite][enable]" value="1" <?php echo (!empty($std_settings['mailerlite']['enable'])) ? 'checked="checked"' : ''; ?> class="std-checkbox-toggle-trigger" data-toggle-class="std-ml-enabled" />
        </div>
    </div>
    <?php $enable_mailerlite = (!empty($std_settings['mailerlite']['enable'])) ? 1 : 0; ?>
    <div class="std-ml-enabled" <?php $this->display_none($enable_mailerlite, 1); ?>>
        <div class="std-field-wrap">
            <label><?php esc_html_e('Mailerlite API Token', 'subscribe-to-download'); ?></label>
            <div class="std-field">
                <input type="text" name="std_settings[mailerlite][api_key]" value="<?php echo (!empty($std_settings['mailerlite']['api_key'])) ? esc_attr($std_settings['mailerlite']['api_key']) : ''; ?>" class="std-mailerlite-api-key" />
                <p class="description"><?php echo sprintf(esc_html__('Please go %s here %s to generate your api token', 'subscribe-to-download'), '<a href="https://dashboard.mailerlite.com/integrations/api" target="_blank">', '</a>'); ?></p>
            </div>
        </div>
        <div class="std-field-wrap">
            <label><?php esc_html_e('Status', 'subscribe-to-download'); ?></label>
            <div class="std-field">
                <?php
                $mailerlite_status = (!empty($std_settings['mailerlite']['status'])) ? 1 : 0;
                $mailerlite_status_class = ($mailerlite_status == 1) ? 'std-ml-connected' : 'std-ml-disconnected';
                ?>
                <input type="hidden" name="std_settings[mailerlite][status]" value="<?php echo intval($mailerlite_status); ?>" class="std-mailerlite-status-flag" />

                <span class="std-mailerlite-status std-connection-status <?php echo esc_attr($mailerlite_status_class); ?>"><?php echo ($mailerlite_status == 1) ? esc_html__('Connected', 'subscribe-to-download') : esc_html__('Disconnected', 'subscribe-to-download'); ?></span>
            </div>
        </div>
        <div class="std-field-wrap">
            <label></label>
            <div class="std-field">
                <?php
                $connect_label = (!empty($mailerlite_status)) ? esc_html__('Renew List', 'subscribe-to-download') : esc_html__('Connect', 'subscribe-to-download');
                ?>
                <input type="button" class="std-mailerlite-connect button-secondary" value="<?php echo esc_attr($connect_label); ?>">
                <?php if ($mailerlite_status == 1) {
                ?>
                    <input type="button" class="std-mailerlite-reset button-secondary" value="<?php esc_html_e("Reset", 'subscribe-to-download'); ?>">
                <?php
                }
                ?>
                <div class="std-mailerlite-api-response" style="display:none;"></div>
            </div>
        </div>


        <div class="std-field-wrap">
            <label><?php esc_html_e('Mailerlite Lists', 'subscribe-to-download'); ?></label>
            <div class="std-field">
                <div class="std-mailerlite-lists-wrap">
                    <div class="std-custom-table">
                        <div class="std-each-list std-list-head">
                            <span class="std-list-col"><?php esc_html_e('ID', 'subscribe-to-download'); ?></span>
                            <span class="std-list-col"><?php esc_html_e('Group Name', 'subscribe-to-download'); ?></span>
                        </div>
                        <?php
                        if (!empty($std_settings['mailerlite']['mailerlite_lists'])) {
                            $mailerlite_lists = json_decode(rtrim($std_settings['mailerlite']['mailerlite_lists']));
                        ?>
                            <?php
                            foreach ($mailerlite_lists as $mailerlite_list) {
                            ?>
                                <div class="std-each-list">
                                    <span class="std-list-col"><?php echo esc_attr($mailerlite_list->id); ?></span>
                                    <span class="std-list-col"><?php echo esc_attr($mailerlite_list->name); ?></span>
                                </div>
                            <?php } ?>
                        <?php
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>


        <textarea name="std_settings[mailerlite][mailerlite_lists]" class="std-mailerlite-lists-input" style="display:none;"><?php echo (!empty($std_settings['mailerlite']['mailerlite_lists'])) ? rtrim($std_settings['mailerlite']['mailerlite_lists']) : ''; ?></textarea>
        <div class="std-field-wrap">
            <label><?php esc_html_e('Last Log', 'subscribe-to-download'); ?></label>
            <div class="std-field">
                <textarea name="std_settings[mailerlite][ml_log]"><?php echo (!empty($std_settings['mailerlite']['ml_log'])) ? $this->sanitize_html($std_settings['mailerlite']['ml_log']) : ''; ?></textarea>
                <input type="button" class="std-clear-log-trigger button-secondary" value="<?php esc_html_e('Clear Log', 'subscribe-to-download'); ?>">
            </div>
        </div>
    </div>
</div>