<div class="wrap std-wrap">
    <div class="std-header std-clearfix">
        <h1 class="std-floatLeft">
            <img src="<?php echo STD_URL . 'images/logo.png' ?>" class="std-plugin-logo" />
            <span class="std-sub-header"><?php esc_html_e('Help', 'subscribe-to-download'); ?></span>
        </h1>
        <div class="std-add-wrap">
            <a href="<?php echo admin_url('admin.php?page=add-subscription-form'); ?>"><input type="button" class="std-button-white" value="<?php esc_html_e('Add New Form', 'subscribe-to-download'); ?>"></a>
        </div>
    </div>

    <div class="std-form-wrap std-form-add-block std-clearfix">
        <div class="std-content-block">
            <h2><?php esc_html_e('Documentation', 'subscribe-to-download'); ?></h2>
            <p><?php esc_html_e('You can check our detailed documentation in the below link', 'subscribe-to-download'); ?></p>
            <p><a href="https://wpshuffle.com/wordpress-documentations/subscribe-to-download/" target="_blank">https://wpshuffle.com/wordpress-documentations/subscribe-to-download/</a></p>
        </div>

        <div class="std-content-block">
            <h2><?php esc_html_e('Support', 'subscribe-to-download'); ?></h2>
            <p><?php esc_html_e('In case you need any assistance regarding our plugin then you can contact us from below link. We will try to get back to you as soon as possible.', 'subscribe-to-download'); ?></p>
            <a href="https://codecanyon.net/user/wpshuffle#contact" target="_blank">https://codecanyon.net/user/wpshuffle#contact</a>
        </div>

        <div class="std-content-block">
            <h2><?php esc_html_e('Developer Documentation', 'subscribe-to-download'); ?></h2>
            <p><?php esc_html_e('If you are developer and trying to add any functionality or customize our plugin through hooks then below are the list of actions and filters available in the plugin.', 'subscribe-to-download'); ?></p>
        </div>

        <div class="std-content-block">
            <h3><?php esc_html_e('Available Actions', 'subscribe-to-download'); ?></h3>
            <div class="std-hooks-wrap">
                <pre>
/**
 * <?php esc_html_e('Fires when Init hook is fired through plugin', 'subscribe-to-download'); ?>
 *
 * @since 1.0.0
 */
do_action('std_init');
                </pre>
                <pre>
/**
 * <?php esc_html_e('Triggers just before processing the subscription form', 'subscribe-to-download'); ?>
 *
 * @since 1.0.0
 */
do_action('std_before_form_process');
                </pre>
                <pre>
/**
 * <?php esc_html_e('Triggers at the end of processing the subscription form successfully', 'subscribe-to-download'); ?>
 *
 * @param array $form_data
 *
 * @since 1.0.0
 */
 do_action('std_end_form_process', $form_data, $form_details);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Triggers just before displaying the subscription form', 'subscribe-to-download'); ?>
 *
 * @param object $form_row
 *
 * @since 1.0.0
 */
 do_action('std_before_form', $form_row);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Triggers just after displaying the subscription form', 'subscribe-to-download'); ?>
 *
 * @param object $form_row
 *
 * @since 1.0.0
 */
do_action('std_after_form', $form_row);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Triggers just before displaying the download button', 'subscribe-to-download'); ?>
 *
 * @param object $form_row
 *
 * @since 1.0.0
 */
do_action('std_before_download', $form_row);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Triggers just after displaying the download button', 'subscribe-to-download'); ?>
 *
 * @param object $form_row
 *
 * @since 1.0.0
 */
do_action('std_after_download', $form_row);
                </pre>
            </div>
        </div>

        <div class="std-content-block">
            <h3><?php esc_html_e('Available Filters', 'subscribe-to-download'); ?></h3>
            <div class="std-hooks-wrap">
                <pre>
/**
 * <?php esc_html_e('Filters csv rows', 'subscribe-to-download'); ?>
 *
 * @param array $csv_rows
 *
 * @since 1.0.0
 */
$csv_rows = apply_filters('std_csv_rows', $csv_rows);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Filters download path before starting the download', 'subscribe-to-download'); ?>
 *
 * @param string $download_path
 * @param string $encryption_key
 *
 * @since 1.0.0
 */
 $download_path = apply_filters('std_download_path', $download_path, $encryption_key);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Filters post parameters being sent to Maichimp', 'subscribe-to-download'); ?>
 *
 * @param array $post_parameters
 * @param array $form_data
 * @param array $form_details
 */
 $post_parameters = apply_filters('std_mc_post_parameters', $post_parameters, $form_data, $form_details);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Filters parameters being sent to Constant Contact', 'subscribe-to-download'); ?>
 *
 * @param array $post_parameters
 * @param array $form_data
 * @param array $form_details
 */
 $post_parameters = apply_filters('std_cc_post_parameters', $post_parameters, $form_data, $form_details);
                </pre>
                <pre>
/**
 * <?php esc_html_e('Filters email message', 'subscribe-to-download'); ?>
 *
 * @param string $email_message
 * @param array $form_data
 *
 * @since 1.0.0
 */
$email_message = apply_filters('std_email_message', $email_message, $form_data);
                </pre>
            </div>
            <p><?php esc_html_e('If you think there are any missing action or filters then please let us know from below link.', 'subscribe-to-download'); ?></p>
            <a href="https://codecanyon.net/user/wpshuffle#contact" target="_blank">https://codecanyon.net/user/wpshuffle#contact</a>
        </div>

    </div>
</div>
